Loading...
Searching...
No Matches
entrepot.hpp File Reference
API

defines the entrepot interface. More...

`#include "../my_config.h"`
`#include <string>`
`#include <memory>`
`#include "user_interaction.hpp"`
`#include "path.hpp"`
`#include "archive_aux.hpp"`
`#include "gf_mode.hpp"`
`#include "entrepot_aux.hpp"`

Go to the source code of this file.

## Classes

class | libdar::entrepot
| the Entrepot interface More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

defines the entrepot interface.

Entrepot interface defines a generic way to interact with files (slices) on a filesystem. It is used to instantiate file-like objects (from classes inherited from class fichier_global), in order to read or write data to such files.

Note
  only the constructors of class entrepot are part of libdar API the other methods may change without notice and are not expected to be used from external applications.

Definition in file entrepot.hpp.